#include <iostream>
#include <string>
#include <vector>
#include <algorithm>

int main(int argc, char* argv[])
{
    std::string line;
    int total = 0;
    std::vector<int> sums;
    while(std::getline(std::cin, line))
    {
        if (0 == line.size())
        {
            sums.push_back(total);
            total = 0;   
        }
        else
        {
            total += stoi(line);
        }
    }

    std::sort(sums.begin(), sums.end(), std::greater<>());
    std::cout << sums[0] + sums[1] + sums[2] << std::endl;
}